﻿using UnityEngine;
using System.Collections;

public class GUIFinal : MonoBehaviour {

	public bool fim;
	public int objetivoDePontos = 10;
	private int pontosObtidos;

	private int alturaBox = 150;
	private int larguraBox = 350;

	public GUISkin skin;

	Transacoes transacoes;

	void Start () {
		transacoes = Transacoes.Instance;
		objetivoDePontos = transacoes.objetivoDePontos;
		transacoes.FinalizaJogo();
		if(transform == null)
		{
			Debug.LogError("Sem referência para transações!");
		}

	}

	void OnGUI()
	{
		GUI.skin = this.skin;
		pontosObtidos = transacoes.pontos;
		Rect posicaoBox = new Rect(Screen.width/2 - larguraBox/2, Screen.height/2 - alturaBox/2, larguraBox, alturaBox);

		GUI.BeginGroup(posicaoBox);
		GUI.Box(new Rect(0,0, larguraBox, alturaBox), "");
		Rect posicaoLabel = new Rect(10, 5, 350.0f, 100.0f);
		if(pontosObtidos >= objetivoDePontos){
			//Atingiu o objetivo de pontos
			GUI.Label(posicaoLabel, "SUA META ERA CONSEGUIR "+ objetivoDePontos +" TIGELAS DE CEVADA.\n\n" +
				"VOCÊ OBTEVE "+ pontosObtidos + " TIGELAS.\nPARABÉNS!!!");
		}
		else
		{
			//Rect posicaoButton = new Rect(posicaoBox.position.x+40, posicaoLabel.position.y+45, 120, 30);
			
			GUI.Label(posicaoLabel, "SUA META ERA CONSEGUIR "+ objetivoDePontos +" TIGELAS DE CEVADA.\n\n" +
			          "VOCÊ OBTEVE "+ pontosObtidos + " TIGELAS.");
			if(GUI.Button(new Rect(posicaoBox.width/2-80, 100, 160, 20 ), "TENTAR NOVAMENTE"))
			{
				TabletEscrita.Instance.Destruir();
				Application.LoadLevel("escriba");
			}
			//GUILayout.Button("Botão");
		}
		GUI.EndGroup();
	}

}

