using UnityEngine;
using System.Collections;

public class VelaTimer : MonoBehaviour {

	public float tempoEmSegundos = 300.0f; //5 minutos
	private float tempoPassado = 0.0f;
	Animator animator;
	public GameObject finalGUI;

	void Start()
	{
		animator = GetComponent<Animator>();
		//TODO: melhorar forma de acesso ao objeto de GUI
		if(finalGUI == null)
		{
			Debug.LogError("Sem referência para GUI!");
		}
	}
    
	void Update () {
		tempoPassado += Time.deltaTime;
		animator.SetFloat("Time", tempoPassado/tempoEmSegundos); //Atualiza animator
		if(tempoPassado >= tempoEmSegundos)
		{
			Debug.Log("Fim!");
			this.enabled = false;
			Instantiate(finalGUI);
		}
	}
}
