﻿using UnityEngine;
using System.Collections;

public class Movimentacao1 : MonoBehaviour {
	public float speed = 10.0F;
	static Vector3 posicao;
	private Vector3 destinationPosition;	// The destination Point
	private float destinationDistance;      // The distance between myTransform and destinationPosition
	public float moveSpeed;					// The Speed the character will move
	private bool followClick = false;

	private float norteSul;
	private float lesteOeste;

	public Texture upTexture;
	public Texture downTexture;
	public Texture leftTexture;
	public Texture rightTexture;
	// Use this for initialization
	void Start () {

		lastDir = Direction.n;
	}
	void Awake()
	{ 
		float temp = 2.1f;
		/*
		if (Application.loadedLevelName.Equals("florenza")) 
		{
			Debug.Log("Olaola");
			//temp *= -1f;
		}
		*/
		GameObject[] gos = GameObject.FindGameObjectsWithTag("Porta"); 
		foreach( Object o in gos){
			if(o.name.Equals(Porta2.teleporte)){ 
				this.transform.position =  ((GameObject)o).transform.position + (((GameObject)o).transform.forward * temp);
			}
		}
	}


        
        private void MouseAndTouchInput()
	{
		// keep track of the distance between this gameObject and destinationPosition
		destinationDistance = Vector3.Distance(destinationPosition, transform.position);
		
		if(destinationDistance < .5f){		// To prevent shakin behavior when near destination
			moveSpeed = 0;
		}
		else if(destinationDistance > .5f){			// To Reset Speed to default
			moveSpeed = 3;
		}
		
		// Moves the Player if the Left Mouse Button was clicked
		if ((Input.GetMouseButtonDown(0) || Input.touchCount > 0) /*&& GUIUtility.hotControl ==0*/) {
			
			Plane playerPlane = new Plane(Vector3.up, transform.position);
			Ray ray;
			if(Input.touchCount > 0)
				ray = Camera.main.ScreenPointToRay(Input.GetTouch(0).position);
			else
				ray = Camera.main.ScreenPointToRay(Input.mousePosition);;
			float hitdist = 0.0f;
			
			if (playerPlane.Raycast(ray, out hitdist)) {
				destinationPosition = ray.GetPoint(hitdist);
				//Quaternion targetRotation = Quaternion.LookRotation(targetPoint - transform.position);
				//transform.rotation = targetRotation;
			}
			followClick = true;
		}
		
		// To prevent code from running if not needed
		if(destinationDistance > .5f && followClick){
			transform.position = Vector3.MoveTowards(transform.position, destinationPosition, moveSpeed * Time.deltaTime);
			
		}
		else
		{
			followClick = false;
		}
	}

	private void Move ()
	{
        norteSul *= Time.deltaTime;
		lesteOeste *= Time.deltaTime;

		if (norteSul != 0 || lesteOeste != 0)
			followClick = false;
		
		transform.Translate (lesteOeste, 0, norteSul);
		posicao = transform.position;
	}

	void GetKeyboardInput()
	{
		//return;
		if (Application.platform != RuntimePlatform.WindowsEditor)
		{
			if (  Application.platform == RuntimePlatform.Android
			   || Application.platform == RuntimePlatform.IPhonePlayer)
				return;

		}
		norteSul = Input.GetAxis("Vertical") * speed;
		lesteOeste = Input.GetAxis("Horizontal") * speed;    
    }
    void LateUpdate() 
	{
		GetKeyboardInput ();


		Move ();
	}

	void OnCollisionEnter (Collision other)
	{
		followClick = false;
	}

	void OnCollisionStay (Collision other)
	{
		if(other.gameObject.name.StartsWith("NPC"))
		{
			followClick = false;
		}
	}


	private enum Direction {n, u, d, l, r};
	Direction lastDir;
	void OnGUI()
	{
		if (Application.platform != RuntimePlatform.Android)
			return;

		float x = 4f*(Screen.width/5);
		float y = 3.5f*(Screen.height/5);
		float w = .05f*Screen.width;
		float h = .05f*Screen.width;


		if (GUI.RepeatButton(new Rect(x, y, w, h), upTexture))
		{
			if (lastDir == Direction.u)
			{
				norteSul = (norteSul >= 10) ?  10 : norteSul += 1000*Time.deltaTime;
				//print (norteSul);
			}
			else
			{	
				norteSul = 1000*Time.deltaTime;
			}
			lastDir = Direction.u;
        }

		if (GUI.RepeatButton(new Rect(x , y + 1.5f*h , w, h), downTexture))
		{
			if (lastDir == Direction.d)
			{
				norteSul = (norteSul <= -10) ?  10 : norteSul -= 1000*Time.deltaTime;
				//print (norteSul);
			}
			else
			{	
                norteSul = -1000*Time.deltaTime;
            }
            lastDir = Direction.d; 
		}
		
		if (GUI.RepeatButton (new Rect(x - 1.5f*w , y + 1.5f*h, w, h), leftTexture))
		{
			if (lastDir == Direction.l)
			{
				lesteOeste = (norteSul >= 10) ?  10 : lesteOeste -= 1000*Time.deltaTime;
				//print (norteSul);
			}
			else
			{	
				lesteOeste = -1000*Time.deltaTime;
            }
            lastDir = Direction.l;
        }

		if (GUI.RepeatButton(new Rect(x + 1.5f*w , y + 1.5f*h, w, h), rightTexture))
		{
			if (lastDir == Direction.r)
			{
				lesteOeste = (norteSul >= 10) ?  10 : lesteOeste += 1000*Time.deltaTime;
				//print (norteSul);
			}
			else
			{	
				lesteOeste = 1000*Time.deltaTime;
            }
            lastDir = Direction.r;
        }
        
        
    }
    
}