﻿using UnityEngine;
using System.Collections;

public class Introducao : MonoBehaviour {
	bool showingCredits = false;
	public Vector2 scrollPosition;

	public Texture[] creditsImg = new Texture[2];
	public Texture[] mainTxtImg = new Texture[2];
	Texture imgToShow;
	int res;

	void Start ()
	{
		if (((float)Screen.width ) / ((float)Screen.height) >= 16f / 10f)
			res = 0;
		else
			res = 1;

		print (Screen.width + " x " + Screen.height);
		print (res);
	}

	// Use this for initialization
	void OnGUI()
	{
		string txt;
		int btnWidth;
		if (showingCredits)
		{
			txt = "Voltar";
			btnWidth = 70;
			imgToShow = creditsImg[res];
		}
		else
		{
			txt = "Mostrar créditos";
			btnWidth = 120;
			imgToShow = mainTxtImg[res];
		}

		scrollPosition = GUILayout.BeginScrollView (scrollPosition, false, true, GUILayout.Width (Screen.width), 
		                                           GUILayout.Height (Screen.height));
		GUILayout.BeginHorizontal();
		GUILayout.FlexibleSpace();
		GUILayout.Label(imgToShow);
		GUILayout.FlexibleSpace();
		GUILayout.EndHorizontal();
		GUILayout.EndScrollView();

		if (GUI.Button(new Rect(20, 120, btnWidth, 30), txt))
		{
			if(showingCredits)
			{
				showingCredits = false;
				//gameObject.renderer.enabled = true;
			}
			else
			{
				showingCredits = true;
				//gameObject.renderer.enabled = false;
			}
		}

		if (GUI.Button(new Rect(20, 70, 70, 30), "Continuar"))
		{
			Application.LoadLevel("Igreja");
		}

	}
}
