﻿using UnityEngine;
using System.Collections;

public class TableteSimbolos : MonoBehaviour {

	public GameObject SimbolosQuantidade;
	public GameObject SimbolosProdutos;
	public GameObject SimbolosTempo;
	Animator animator;

	void OnStart()
	{
		animator = GetComponent<Animator>();
	}

	void OnEnable()
	{
		Transacoes.Instance.TrocaTipo += TrocaTipo;
	}
	void TrocaTipo(TipoSimbolos tipo)
	{
		animator.SetInteger("TipoSimbolos", (int) tipo);
		switch(tipo)
		{
			case TipoSimbolos.Tempo:
			SimbolosTempo.SetActive(true);
			SimbolosQuantidade.SetActive(false);
			SimbolosProdutos.SetActive(false);
			break;
			case TipoSimbolos.Produto:
			SimbolosTempo.SetActive(false);
			SimbolosQuantidade.SetActive(false);
			SimbolosProdutos.SetActive(true);
			break;
			case TipoSimbolos.Quantidade:
			SimbolosTempo.SetActive(false);
			SimbolosQuantidade.SetActive(true);
			SimbolosProdutos.SetActive(false);
			break;
		}
	}
}
