﻿using UnityEngine;
using System.Collections;

public class VelaAnimacao : MonoBehaviour {
	
	public float fps;
	private float _fps;
	private float timer;
	public Texture2D[] frames;
	private int currentFrame;
	private Vector3 temp;
	
	// Use this for initialization
	void Start () {
		_fps = 1.0f / fps;
		currentFrame = 1;
		renderer.material.mainTexture = frames[0];
	}
	// Update is called once per frame
	void Update () {
		if (timer > 0.0) 
			timer -= Time.deltaTime;
		if (timer <= 0.0) 
			timer = 0.0f;
		if (timer == 0.0f)
			NextFrame ();
	}
	public void NextFrame(){
		if (currentFrame < frames.Length) {
			currentFrame ++;
			renderer.material.mainTexture = frames [currentFrame - 1];
		}
		else//Application.loadedLevel ("final");
			currentFrame = 1;
		renderer.material.mainTexture = frames [currentFrame - 1];
		timer = _fps;
	}
	
}
