﻿using UnityEngine;
using System.Collections;

public class Dialogos_ENG : Dialogos_ {
	public string[,] falaChefeDaCasaDaMoeda = new string[2,4] {
		{"...","Hi! I’m the Head of the Mint.\nAnd you, what do you do here?","Sure! Take this and hand\nit to its proper place", "..."},
		{"hand it to its proper place","...","hand it to its proper place","..."}  
	};
	public string[,] falaDatini = new string[2,5] {
		{"...","Hi! I’m Mr. Datini."," I’m a sucessful merchant and banker.\nI’m really rich and I use to invest this\nCAPITAL surplus available.\nHow about you?"," Sure! Take this and hand\nit to its proper place!","..."},
		{"hand it to its proper place","...","hand it to its proper place","...","..."}   
	};
	public string[,] falaMedici = new string[2, 5] {
		{"...","Hi! I’m Mr. Medici."," I’m a sucessful banker, I\nprovide most of the CREDIT granted\nin this town. How about you?","Sure! Take this and hand\nit to its proper place!","..."},
		{"hand it to its proper place","...","hand it to its proper place","...","..."} 
	};
	public string[,] falaMestreDeAbaco = new string[2,4] {	
		{"...","Hi! I’m the Master of Abacus.\nI use arabic numbers to teach ARITHMETIC\nto my students. What do you do here?","Sure! Take this and hand\nit to its proper place!","..."},
		{"hand it to its proper place","...","hand it to its proper place","..."} 
	};
	public string[,] falaPeruzzi = new string[2,5]{
		
		{"...","Hi! I’m Mr. Peruzzi.","I manage the biggest factory of\nFlorence, and I’m also working in\nimportation and exportation of some\nitems. I own many PROPERTIES.\nHow about you?","Sure! Take this and hand\nit to its proper place!","..."},
		{"hand it to its proper place","...","hand it to its proper place","...","..."} 
	};
	public string[,] falaProfessorDeGramatica = new string[2,4] {
		{"...","Hi! I’m the Grammar Professor\nat University of Florence. WRITING\nfascinates me! What do you do here?","Sure! Take this and hand\nit to its proper place!","..."},
		{"hand it to its proper place","...","hand it to its proper place","..."}  
	};
	public string[,] falaComerciante = new string[2,4] {
		{"...","Hi! I’m the Merchant, I have\nbeen working for years in the TRADE.\nAnd you, what do you do here?","Sure! Take this and hand\nit to its proper place!","..."},
		{"hand it to its proper place","...","hand it to its proper place","..."}   
	};
	public string[,] falaNada = new string[2,2] {
		{"00","00"},
		{"00","00"}  
	};
	// **************************************************************************
	// Falas do jogador.
	public string[,] falaJChefeDaCasaDaMoeda = new string[2,4]{
		{"Hi! Who are you?"," I seek something valuable\nto bookkeeping.\nCan you help me?","...","..."},
		{"...","...","...","..."} 
	};
	public string[,] falaJDatini = new string[2,5] {
		{"Hi! Who are you?"," What do you do in Florence,\nMr. Datini?","I seek something valuable to\nbookkeeping. Can you help me?","...","..."},
		{"...","...","...","...","..."}  
	};
	public string[,] falaJMedici = new string[2, 5] {
		{"Hi! Who are you?","What do you do in\nFlorence, Mr. Medici?", "I seek something valuable to\nbookkeeping. Can you help me??","...","..."},
		{"...","...","...","...","..."}  
	};
	public string[,] falaJMestreDeAbaco = new string[2,4]{
		{"Hi! Who are you?"," I seek something valuable to\nbookkeeping. Can you help me?","...","..."},
		{"...","...","...","..."}  
	};
	public string[,] falaJPeruzzi = new string[2,5]{
		{"Hi! Who are you?","What do you do in Florence,\nMr. Peruzzi?","I seek something valuable to\nbookkeeping. Can you help me?","...","..."},
		{"...","...","...","...","..."} 
	};
	public string[,] falaJProfessorDeGramatica = new string[2,4]{
		{"Hi! Who are you?","I seek something valuable\nto bookkeping. Can you help me?","...","..."},
		{"...","...","...","..."}    
	};
	public string[,] falaJComerciante = new string[2,4]{
		{"Hi! Who are you?","I seek something valuable\nto bookkeping. Can you help me?","...","..."},
		{"...","...","...","..."}
	};
	
	//**********************************************************************************
	//Falas dos personagens secundarios.
	
	public string[,] falaMercadoDeDatini = new string[2,4]{
		{"May I help you?","This is Datini’s market,one of\nthe investments of Mr. Datini, who has\nhuge amounts of CAPITAL to invest.","If CAPITAL were not present,\nthere would be nothing for\nrecords to record.\nSearch for Mr. Datini.","..."},
		{"Congratulations! You succeeded\nfind one of the antecedents of\ndouble entry bookkeeping.","CAPITAL is an essential element,\nsince without capital, commerce\nwould be trivial, and credit would\nbe inconceivable.","...","..."}  
	};
	public string[,] falaFabricaDePeruzzi = new string[2,4]{
		{"May I help you?","This is Peruzzi’s factory,\none of the many PROPERTIES\nof Mr. Peruzzi.","If PROPERTY were not present,\nthere would be nothing for records to\nrecord. Look for Mr. Peruzzi.","..."},
		{"Congratulations! You succeeded\nfind one of the antecedents of double\nentry bookkeeping.","PRIVATE PROPERTY is an indispensable\nelement, since bookkeeping is concerned\nonly with recording the facts about\nproperty and property rights.","...","..."}  
	};
	public string[,] falaCasaDaMoeda = new string[2,4]{
		{"May I help you?","This is the Mint,\nwhere MONEY is produced.","Without MONEY, trade would be only\nbarter, and bookkeeping wouldn’t be\nnecessary. Search for the\nHead of the Mint.","..."},
		{"Congratulations! You succeeded\nfind one of the antecedents of double\nentry bookkeeping.","MONEY, i. e., a money economy, is an\nessential element  since bookkeeping\nis useless except as it reduces all\ntransactions in properties or property\nrights to a common denominator.","...","..."}  
	};
	public string[,] falaBancoMedici = new string[2,4]{
		{"May I help you?","This is Medici Bank. People\ncome here seeking CREDIT.","Without CREDIT, each transaction\nwould be closed at the time, and\nbookkeeping would be unnecessary. Look\nfor Mr. Médici.","..."},
		{"Congratulations! You succeeded\nfind one of the antecedents of double\nentry bookkeeping.","CREDIT, i. e., the incidence of\nincompleted transactions, is a key element,\nsince there would be little impulse to\nmake any record whatever if all\ntransactions were completed and\nclosed on the spot.","...","..."}  
	};
	public string[,] falaComercio = new string[2,4]{
		{"May I help you?","This is the comercial center,\nwhere COMMERCE takes place.","Without COMMERCE, the need for financial\nrecords would not extend beyond governmental\ntaxes. Look for the Merchant.","..."},
		{"Congratulations! You succeeded\nfind one of the antecedents of double\nentry bookkeeping.","COMMERCE is a key element, since\na merely local trade would never have\ncreated enough pressure (volume of business)\nto stimulate men to coordinate various\nideas into a system.","...","..."}  
	};
	public string[,] falaUniversidadeDeFlorença = new string[2,4]{
		{"May I help you?","This is UNIFI, the University\nof Florence, where people\nimprove their WRITING.","If WRITING were absent, the \"vehicle\"\nof bookkeeping would not exist.\nLook for the grammar Teacher. ","..."},
		{"Congratulations! You succeeded\nfind one of the antecedents of double\nentry bookkeeping.","WRITING is an indispensable element\nto the rise of double-entry bookkeeping,\nsince bookkeeping is before all\nelse a record.","...","..."}  
	};
	public string[,] falaEscolaDeAbaco = new string[2,4]{
		{"May I help you?","This is the Abacus School,\nwhere people learn ARITHMETIC.","If ARITHMETIC were absent, the \"vehicle\"\nof bookkeeping would not exist.\nSearch for the Master of Abacus","..."},
		{"Congratulations! You succeeded\nfind one of the antecedents of double\nentry bookkeeping.","ARITHMETIC is an essential element,\nsince bookkeeping is a sequence of\nsimple computations, even though\nthey are cast into certain forms.","...","..."}  
	};
	//*****************************************************************************
	//Falas do jogador com os Personagens secundarios.
	public string[,] falaJMercadoDeDatini = new string[2,4]{
		{"Where am I?","I seek something\nvaluable to bookkeeping.","...","..."},
		{"...","...","...","..."}
	};
	public string[,] falaJFabricaDePeruzzi = new string[2,4]{
		{"Where am I?","I seek something\nvaluable to bookkeeping","...","..."},
		{"...","...","...","..."}  
	};
	public string[,] falaJCasaDaMoeda = new string[2,4]{
		{"Where am I?","BI seek something\nvaluable to bookkeeping","...","..."},
		{"...","...","...","..."}
	};
	public string[,] falaJBancoMedici = new string[2,4]{
		{"Where am I?","I seek something\nvaluable to bookkeeping","...","..."},
		{"...","...","...","..."} 
	};
	public string[,] falaJComercio = new string[2,4]{
		{"Where am I?","I seek something\nvaluable to bookkeeping","...","..."},
		{"...","...","...","..."}
	};
	public string[,] falaJUniversidadeDeFlorença = new string[2,4]{
		{"Where am I?","I seek something\nvaluable to bookkeeping","...","..."},
		{"...","...","...","..."}  
	};
	public string[,] falaJEscolaDeAbaco = new string[2,4]{
		{"Where am I?","I seek something\nvaluable to bookkeeping","...","..."},
		{"...","...","...","..."}  
	};
	
	
	
	
	// Use this for initialization
	void Awake () {
		
		falas.Add("ChefeDaCasaDaMoeda", falaChefeDaCasaDaMoeda);
		falas.Add("Datini",falaDatini);
		falas.Add("Medici",falaMedici);
		falas.Add("MestreDeAbaco",falaMestreDeAbaco);
		falas.Add("Peruzzi",falaPeruzzi);
		falas.Add("ProfessorDeGramatica", falaProfessorDeGramatica);
		falas.Add("Comerciante",falaComerciante);
		falasJogador.Add("ChefeDaCasaDaMoeda", falaJChefeDaCasaDaMoeda);
		falasJogador.Add("Datini",falaJDatini);
		falasJogador.Add("Medici",falaJMedici);
		falasJogador.Add("MestreDeAbaco",falaJMestreDeAbaco);
		falasJogador.Add("Peruzzi",falaJPeruzzi);
		falasJogador.Add("ProfessorDeGramatica", falaJProfessorDeGramatica);
		falasJogador.Add("Comerciante",falaJComerciante);
		falasNPCSecundario.Add ("MercadoDeDatini", falaMercadoDeDatini);
		falasNPCSecundario.Add ("FabricaDePeruzzi", falaFabricaDePeruzzi);
		falasNPCSecundario.Add ("CasaDaMoeda", falaCasaDaMoeda);
		falasNPCSecundario.Add ("BancoMedici", falaBancoMedici);
		falasNPCSecundario.Add ("Comercio", falaComercio);
		falasNPCSecundario.Add ("UniversidadeDeFlorença", falaUniversidadeDeFlorença);
		falasNPCSecundario.Add ("EscolaDeAbaco", falaEscolaDeAbaco);
		falasJogadorNPCSecundario.Add("MercadoDeDatini", falaJMercadoDeDatini);
		falasJogadorNPCSecundario.Add("FabricaDePeruzzi", falaJFabricaDePeruzzi);
		falasJogadorNPCSecundario.Add("CasaDaMoeda", falaJCasaDaMoeda);
		falasJogadorNPCSecundario.Add("BancoMedici", falaJBancoMedici);
		falasJogadorNPCSecundario.Add("UniversidadeDeFlorença", falaJUniversidadeDeFlorença);
		falasJogadorNPCSecundario.Add("EscolaDeAbaco", falaJEscolaDeAbaco);
		falasJogadorNPCSecundario.Add("Comercio", falaJComercio);
	}

}
